
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>使用canvas绘制股票图【envision.js】 / iVAN</title>

    <meta name="description" content="使用canvas绘制股票图【envision.js】 最近的一个小项目需要用到一些财经图表,如股票图,净值曲线图,投资组合饼图等.按照产品的要求,这些图表需要在移动设备[手机,平板电脑] 和pc端良好运行.我们都知道在ios设备上没法运行flash,所以必须把使用flash开发的方案放弃,只能转向采用javascript开发,最新的移动设 备上的浏览器对javascript支持越来越好,同时用于图形图像开发的canvas属性在这里也支持良好.    选好了技术方案,那就开发吧,很显然如果从零要把这些图表开发的比较完美还是很费时费力的,再说了不要重复">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">使用canvas绘制股票图【envision.js】</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>最近的一个小项目需要用到一些财经图表，如股票图，净值曲线图，投资组合饼图等。按照产品的要求，这些图表需要在移动设备【手机，平板电脑】</p>
<p>和pc端良好运行。我们都知道在ios设备上没法运行flash，所以必须把使用flash开发的方案放弃，只能转向采用javascript开发，最新的移动设</p>
<p>备上的浏览器对javascript支持越来越好，同时用于图形图像开发的canvas属性在这里也支持良好。</p>
<p>   选好了技术方案，那就开发吧，很显然如果从零要把这些图表开发的比较完美还是很费时费力的，再说了不要重复发明轮子不是一直教导我们吗。那</p>
<p>么我们就来看看有没有现成的轮子供我们使用呢，经过搜索和查找，envision.js这个javascript图形类库引起了我的注意，这个类库的features</p>
<ul>
<li>支持所有现代浏览器，从IE6+</li>
<li>支持触摸特性，移动设备</li>
<li>财经图表</li>
<li>时间序列图表</li>
<li>能够自定义图表</li>
<li>基于flotr2,同时也能够适配其他库</li>
</ul>
<p>它的这些特性已经完全能够满足我们的需求，并且基本不需要进行太多的开发。深入到envision.js的源代码，可以发现他是基于插件开发的，一个很复杂</p>
<p>的图表都是基于一个个插件来组装的，同时他内部也提供了一些现成的Template来让我们马上使用，这些template就是用一些插件组装起来的。</p>
<p>在网上搜了很长时间，发现这个库的文档比较少，实例也比较简单，不够全面，我们怎么修改图形中的颜色以及其他样式都不是很清楚，那么</p>
<p>下面我们来通过一个股票图来学习怎么使用，以及如何配置和修改图表的外观，如图，具体图示可以参见<a href="http://www.humblesoftware.com/envision/demos/ajax" rel="external nofollow noreferrer">这里</a>：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvbXkuY3Nkbi5uZXQvdXBsb2Fkcy8yMDEyMDcvMjgvMTM0MzQ4NzAwNV8yMTk5LmpwZw==.jpg"></p>
<ul>
<li>黄色【price】</li>
<li>红色【volume】</li>
<li>蓝色【connection】</li>
<li>绿色【summary】</li>
</ul>
<p>上面的图片中的样式具体怎么修改，通过下面代码的注释我们来了解下：</p>
<pre>function drawStockGraph(data,container){
	    var
	      currentData = data,
	      options, finance,
	      container = document.getElementById(container);

	    options = {
	      container : container,
	      data : {
	        price : currentData.price,//价格数据
	        volume : currentData.volume,//成交量数据
	        summary : currentData.summary//交易情形概括数据
	      },</pre>
<pre>		//
	      trackFormatter : function (o) {

	        var
	          index = o.index,
	          value;

	        value = currentData.data[index].date + ': ' + currentData.price[index][1] + ", 成交量: " + currentData.volume[index][1];

	        return value;
	      },
	      yTickFormatter:function(n){
        	  return n;
          },
	      // An initial selection
	      selection : {
	        data : {
	          x : {
	            min : 0,
	            max : 250
	          }
	        }
	      },
	      // Override some defaults.
	      // Skip preprocessing to use flotr-formatted data.
	      defaults : {
	        volume : {
	          skipPreprocess : true,
	          config:{
	              //成交量中柱形的样式
	              whiskers : {
	                  lineWidth : 2,
	                  fillStyle:'#85AEDD',
	                  color:'#85AEDD',
	                  fillColor: '#85AEDD'
	                }
	          }
	        },</pre>
<pre>		//图片中黄色标记的区域
	        price : {
	          skipPreprocess : true,
	          config:{
	        	  mouse:{
	        		  margin:0,
	        		  trackFormatter:function(o){
	        			    var
	        			      index = o.index,
	        			      value;

	        			    if (price.api.preprocessor) {
	        			      index += price.api.preprocessor.start;
	        			    }

	        			    value = '价格: ' + data.price[1][index] + ", 成交量: " + data.volume[1][index];

	        			    return value;
	        		  },
	        		  mousetracktipstyle:'opacity:1;background-color:#D10220;color:#FFFEFF;display:none;width:250px;height:29px;font-size:14px;font-weight:500;position:absolute;padding:2px 8px;-moz-border-radius:0px;border-radius:0px;white-space:nowra'
	        	  }, </pre>
<pre>		  //y轴标签的样式
	       	  yaxis : {
                      showLabels : true,
                      min : 0,
                      align:'left',
                      leftoffset:-40
                  },
                  'lite-lines':{
                      lineWidth:1,
                      color: '#82ACDD',
                      fillColor:'#D0E2F8'
                  }
	          }
	        },</pre>
<pre>		//图片中绿色标记的部分
	        summary : {
	          skipPreprocess : true,
	          config : {
	            xaxis : {
	              // Set x ticks manually with defaults override:
	              ticks : currentData.summaryTicks
	            },</pre>
<pre>		//波浪线的样式
                'lite-lines' : {
                    show : true,
                    lineWidth : 1,
                    fill : true,
                    fillOpacity : 1,
                    fillBorder : true,
                    fillColor:'#D0E2F8',
                    color:'#82ACDD'
                  },
                  selection : {
                      color:'#e2edf9'
                 }
	          }
	        },</pre>
<pre>		//图片中蓝色标记的部分
	        connection : {
                config:{
                    fillStyle: '#F3F8FD',//#F3F8FD
                    strokeStyle: '#D0DFF2'//#D0DFF2

                }
	          }
	      }
	    };
	    finance = new envision.templates.Finance(options);
    }</pre>
<p>通过上面的代码，这样可以发现要修改这个图形的样式，只要找到图形中都有哪些插件，然后在源代码中搜索这个插件都有哪些配置；注意有些样式是在css中设置的，通过css设置的样式，在firebug中可以看到class名，这部分可以直接修改css样式值。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-01 21:38:33</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>使用canvas绘制股票图【envision.js】的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk2rX7M.html" rel="bookmark">js&plus;html5实现canvas绘制镂空字体文本的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  本文实例讲述了js+html5实现canvas绘制镂空字体文本的方法.分享给大家供大家参考.具体实现方法如下: ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;body&gt; &lt;canvas id=&quot;myCanvas&quot; width=&quot;200&quot; height=&quot;100&quot; style=&quot;border:1px solid #d3d3			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY21nBp.html" rel="bookmark">js&plus;html5实现canvas绘制简单矩形的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  本文实例讲述了js+html5实现canvas绘制简单矩形的方法.分享给大家供大家参考.具体实现方法如下: ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;body&gt; &lt;canvas id=&quot;myCanvas&quot; width=&quot;200&quot; height=&quot;100&quot; style=&quot;border:1px solid #c3c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK7PwLb.html" rel="bookmark">js&plus;html5实现canvas绘制圆形图案的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  本文实例讲述了js+html5实现canvas绘制圆形图案的方法.分享给大家供大家参考.具体实现方法如下: ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;body&gt; &lt;canvas id=&quot;myCanvas&quot; width=&quot;200&quot; height=&quot;100&quot; style=&quot;border:1px solid #d3d			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baBQjgM.html" rel="bookmark">线程-Android中用canvas如何绘制动态图？请大神速回，在线等！！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Android中用canvas如何绘制动态图?请大神速回,在线等!! public class MyView extends View { private Paint paint; private int roundColor, roundProgressColor; private float roundWidth; private int style; private int process = 1; private Canvas mcanvas; private RectF ov			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgELjAz.html" rel="bookmark">js HTML5 Canvas绘制转盘抽奖&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例为大家分享了js转盘抽奖的具体代码,供大家参考,具体内容如下 1.实现的基本效果   2.主要的内容  •html5中canvas标签的使用  •jQueryRotate.js旋转插件 3.主要html代码 &lt;body&gt; &lt;div class=&quot;content&quot;&gt; &lt;div class=&quot;wheel&quot;&gt; &lt;canvas class=&quot;item&quot; id=&quot;wheelCanvas&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqWy73z.html" rel="bookmark">js&plus;html5实现canvas绘制椭圆形图案的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了js+html5实现canvas绘制椭圆形图案的方法,HTML5 canvas 没有画椭圆的方法,以下代码可以画出椭圆,分享给大家供大家参考,具体实现方法如下: 1.在一个隐式的画布 (将 其 CSS 定义成:display:none; ) 上画园. 2.将隐式画布的影像,以不同的宽高比值,画在另一个显式的画布,以使园变成椭圆. 3.进而,加进动画功能. &lt;html&gt; &lt;head&gt; &lt;meta http-equiv=&quot;Content-Type&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgEOw6z.html" rel="bookmark">js&plus;canvas绘制矩形的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了js+canvas绘制矩形的方法.分享给大家供大家参考,具体如下: 运行效果截图如下: 具体代码如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd&quot;&gt; &lt;html xmlns=&quot;http://www.w3.org/1999/xhtm			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNOx6dp.html" rel="bookmark">js&plus;html5实现canvas绘制镂空字体文本的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了js+html5实现canvas绘制镂空字体文本的方法.分享给大家供大家参考.具体实现方法如下: &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;body&gt; &lt;canvas id=&quot;myCanvas&quot; width=&quot;200&quot; height=&quot;100&quot; style=&quot;border:1px solid #d3d3d3;&quot;&gt; Your browser does not s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zw59OmM.html" rel="bookmark">JS&plus;Canvas绘制时钟效果&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例为大家分享了使用canvas绘制时钟的具体代码,供大家参考,具体内容如下 1. clock.html    &lt;!doctype html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta charset=&quot;UTF-8&quot;&gt; &lt;meta name=&quot;Description&quot; content=&quot;&quot;&gt; &lt;title&gt;canvas时钟&lt;/t			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqYYGM.html" rel="bookmark" class="title">ASP&period;NET学习篇&lpar;2&rpar;&mdash;&mdash;安装与配置</a>
					<div>
						介绍以下方面内容:安装所需要的软硬件条件.配置CONFIG.WEB(配置文件的写法及各项配置的意义) ASP的运行需要一个环境,可以是PWS,也可以是IIS,ASP.NET需要的是NGWS(安装程序下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLRo5b.html" rel="bookmark" class="title">漫谈&period;Net PetShop和Duwamish ADO&period;NET数据库编程</a>
					<div>
						ado|编程|数据|数据库 概述 ADO.NET为我们提供了强大的数据库开发能力,它内置的多个对象为我们的数据库编程提供了不同的选择.但是在允许我们灵活选用的同时,许多初学者也很迷惑,我到底是应该使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4w8a1p.html" rel="bookmark" class="title">win8&period;1系统电脑虚拟内存不够用的三大原因和解决方法</a>
					<div>
						  1.感染病毒 有些病毒发作时会占用大量内存空间,导致系统出现内存不足的问题.赶快去杀毒,升级病毒库,然后把防毒措施做好! 2.虚拟内存设置不当 虚拟内存设置不当也可能导致出现内存不足问题,一般情况 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3ER1M.html" rel="bookmark" class="title">雅虎邮箱如何注册绑定阿里云邮箱</a>
					<div>
						  阿里云邮箱为您提供了基于云计算平台的邮件永久存储,和超大附件.大容量网盘等邮箱服务. 注册并绑定阿里云邮箱的方法: (1)通过mail.cn.yahoo.com页面登录您的中国雅虎邮箱; (2)在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQN1nrM.html" rel="bookmark" class="title">IE您的安全设置不允许网站使用安装在您的计算机上的Activex 该如何解决</a>
					<div>
						  有网友向小编反映了一个这样的问题:在使用IE浏览器访问网页的时候出现了&quot;您的安全设置不允许网站使用安装在您的计算机上的 Activex 控件.此页可 能没有正确显示.单机此处查看选项.. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7xWwM.html" rel="bookmark" class="title">javascript正则匹配汉字、数字、字母、下划线</a>
					<div>
						 javascript正则检测只含有汉字.数字.字母.下划线不能以下划线开头和结尾,需要的朋友可以参考下 javascript正则检测只含有汉字.数字.字母.下划线不能以下划线开头和结尾   遇到一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eVPLb.html" rel="bookmark" class="title">华硕预装系统笔记本恢复系统方法</a>
					<div>
						(1) 开机出现ASUS画面的时候按下F9键,在经过&quot;进度条&quot;.&quot;启动界面&quot;后,会出现一个提示界面,请您选择语言,您可以选择简体中文(Simple Chines ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRw09qp.html" rel="bookmark" class="title">Android内存优化之OOM</a>
					<div>
						原文:http://www.csdn.net/article/2015-09-18/2825737/1 10月14日-16日,由CSDN和创新工场联合主办的MDCC 2015中国移动开发者大会将在北京 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW278Eb.html" rel="bookmark" class="title">android-Android监听发送短信权限拒绝按钮的事件</a>
					<div>
						问题描述 Android监听发送短信权限拒绝按钮的事件 如图,我想在用户点击拒绝按钮后弹出窗口提示用户,重新发送短信,监听异常的方法已经尝试过了,行不通,不明白我的意思的可以下载美丽说软件,点击一键注 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQ2oWz.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;易宝支付&rdquo;转账付款之后</a>
					<div>
						两名网购者通过&quot;易宝支付&quot;转账付款,岂料近8万元货款被划转后,货品却仍不见影.为此,二人分别将&quot;易宝支付&quot;告上法庭,要求退还货款.昨天(5月21日)上午,朝阳法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvr728M.html" rel="bookmark" class="title">iphone-为推送通知创建配置文件</a>
					<div>
						问题描述 为推送通知创建配置文件 我想要应用支持推送通知,进行了下面几个步骤: 生成CSR文件. 创建应用ID,支持推送通知. 创建应用ID的开发SSL证书,在第一步使用CSR创建. 创建配置文件 问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN73QPp.html" rel="bookmark" class="title">listview-android下拉刷新和侧滑删除冲突</a>
					<div>
						问题描述 android下拉刷新和侧滑删除冲突 android下拉刷新和侧滑删除冲突,哪位大神有解决的方案吗?感激不尽 解决方案 控制下事件的分发,如果不了解的话,可以上网查查Android事件分发机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlgWkb.html" rel="bookmark" class="title">OpenSearch：轻松构建大数据搜索服务</a>
					<div>
						随着互联网数据规模的爆炸式增长,如何从海量的历史.实时 数据中快速获取有用信息,变得越来越具有挑战性.搜索是获取信息最高效的途径之一,因此也是各类网站.应用的基础标配功能.开发者想在自己的产品中实现搜 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6LkPM.html" rel="bookmark" class="title">设计-如何编写一段c&plus;&plus;测试代码</a>
					<div>
						问题描述 如何编写一段c++测试代码 如题,我是一位初学者,现有一道题如下: 编一段代码,分别实现插入排序,合并排序和快速排序的算法.然后编写测试代码,设计测试数据集,编写测试程序,测试正确性.算法复 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxOY5b.html" rel="bookmark" class="title">file-linux下的文件从一个电脑上拷贝到另外一个linux系统上时候有哪些数据一起被复制了？</a>
					<div>
						问题描述 linux下的文件从一个电脑上拷贝到另外一个linux系统上时候有哪些数据一起被复制了? copy实现的机制是什么?拷贝一个文件的时候有哪些数据一起被复制了.(我的.sh文件拷贝到u盘上,然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQJB5p.html" rel="bookmark" class="title">js技术-百度云Table请求失败&comma;返回状态码是240</a>
					<div>
						问题描述 百度云Table请求失败,返回状态码是240 {&quot;status&quot;:240,&quot;message&quot;:&quot;APP 服务被禁用}http://api.m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Pgw4p.html" rel="bookmark" class="title">手机里面获取不到数据库的数据</a>
					<div>
						问题描述 手机里面获取不到数据库的数据 麻烦各位大神们,我做了一个小案例,数据放在sqlite数据库,把安装包放在自己手机上安装,listview显示不了数据. 但是我用模拟器来运行的时候都可以显示, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZexDz.html" rel="bookmark" class="title">博客赚钱</a>
					<div>
						  AdSense[推荐指数:] Google AdSense 是目前最为简单易用的博客赚钱途径.AdSense 依靠 Google 强大的搜索技术,针对博客文章进行关键字匹配,根据你的博客内容在你的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBlX8M.html" rel="bookmark" class="title">Syntax error on token &amp;amp&semi;amp&semi;quot&semi;class&amp;amp&semi;amp&semi;quot&semi;&comma; &commat; expected大神们这为什么报错哇</a>
					<div>
						问题描述 packagecom.TestThread;publicclassThreadTest{/***子线程循环10次,接着主线程循环100,接着又回到子线程循环10次,接着再回到主线程又循环10 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xWBob.html" rel="bookmark" class="title">spring-boot &vert; rabbitMq-Direct模式</a>
					<div>
						RabbitMQ是流行的开源消息队列系统,用erlang语言开发.RabbitMQ是AMQP(高级消息队列协议)的标准实现. RabbitMQ的结构图如下: 几个概念说明: Broker:简单来说就是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBwl4z.html" rel="bookmark" class="title">Sping&plus;ActiveMQ整合</a>
					<div>
						通过前一篇&lt;ActiveMQ简述&gt;大概对ActiveMQ有了一个大概的认识,本篇所阐述的是如何通过Spring继承ActiveMQ进而更有效.更灵活的运用ActiveMQ. Spring和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgx19M.html" rel="bookmark" class="title">ie 8-浏览器的浏览模式与文档模式在网页兼容上各占了什么位置</a>
					<div>
						问题描述 浏览器的浏览模式与文档模式在网页兼容上各占了什么位置 在调适网页兼容问题时,发现设置文档模式为ie7标准模式时,会出现各种CSS乱了,文档模式这个主要问题是什么 ,应该怎么调整CSS来适应I ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZqY6p.html" rel="bookmark" class="title">ios-ARC中NSNotificationCenter不用移除observer？</a>
					<div>
						问题描述 ARC中NSNotificationCenter不用移除observer? ARC中[NSNotificationCenter defaultCenter]添加了observer,不用移除o ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBknBNM.html" rel="bookmark" class="title">python获取图片颜色信息的方法&lowbar;python</a>
					<div>
						本文实例讲述了python获取图片颜色信息的方法.分享给大家供大家参考.具体分析如下: python的pil模块可以从图片获得图片每个像素点的颜色信息,下面的代码演示了如何获取图片所有点的颜色信息和每 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvyrJM.html" rel="bookmark" class="title">JSP中使用JavaScript动态插入删除输入框实现代码&lowbar;javascript技巧</a>
					<div>
						JavaScript代码: 复制代码 代码如下: &lt;script language=&quot;javascript&quot;&gt; function addrows(){ var len  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1G6wb.html" rel="bookmark" class="title">数据库-sql update 复杂语句的使用</a>
					<div>
						问题描述 sql update 复杂语句的使用 数据库有两张表 build_info 和 build_info2,两张表单的结构是一样的,现在build_info表一个字段shop_money数据出错 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPW1KDM.html" rel="bookmark" class="title">2015年iOS开发工程师前景分析</a>
					<div>
						&quot;互联网+&quot;概念的提出催生了大量互联网企业,越来越多的传统行业需要与互联网更深地渗透与融合.而在这股互联网化的浪潮中,行业却发现找不到优秀的互联网人才. 互联网企业数量持续增长,用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8GaY3M.html" rel="bookmark" class="title">众筹元年到来 &OpenCurlyDoubleQuote;凑份子&rdquo;致力为创业者实现梦想</a>
					<div>
						京东金融第五大业务板块--众筹业务&quot;凑份子&quot;正式上线.该业务旨在让大家一起凑钱来帮助有创意的人实现梦想.对京东金融这一新业务,中国证券报副董事长王坚点评道,相比其他同类产品,京东众 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgPDr5p.html" rel="bookmark" class="title">罗牛山董事长胡电铃辞职</a>
					<div>
						罗牛山(000735)11月22日晚间公告称,公司董事会于22日收到公司董事长胡电铃提交的书面辞职报告.胡电铃由于工作变动原因,申请辞去董事长和法定代表人职务,但仍将担任公司董事.董事会战略委员会委员 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA6d9Xp.html" rel="bookmark" class="title">站长必知：如何快速诊断网站（一）</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 无论你做的是什么类型的网站,网站如 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
